% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/rmsfact.R
\name{rmsfact}
\alias{print.rmsfact}
\alias{rmsfact}
\title{Display a Random Fact about Richard M. Stallman}
\usage{
rmsfact(ind)

\method{print}{rmsfact}(x, width = NULL, ...)
}
\arguments{
\item{ind}{Optional index of a quote; if missing a random value is
sampled}

\item{x}{Default object for \code{print} method}

\item{width}{Optional column width parameter}

\item{...}{Other optional arguments}
}
\value{
A character vector containing one randomly selected line
 from the included file. It is of class \code{rmsfact} for
 which an S3 print method will be invoked.
}
\description{
Function to display a randomly chosen fact about Richard M. Stallman
}
\details{
This function displays a randomly chosen line from the included
data set of of random \sQuote{facts} about Richard M. Stallman.
The function is a port of the GNU Octave function \code{fact}
doing the same, and written by Jordi Gutiérrez Hermoso based on
the (now defunct) site \code{stallmanfacts.com}.
}
\examples{
  set.seed(123)
  rmsfact()
}
\author{
Dirk Eddelbuettel
}
\seealso{
\code{\link[fortunes:fortunes]{fortune}}
}

